Contenu | Rechercher | Menus

kdevelop

KDevelop

KDevelop est un environnement de développement intégré (EDI/IDE) pour l'environnement KDE sous licence GPL.

Son principal intérêt est la gestion complète des projets avec le générateur de makefile, la création de la documentation automatique, l'édition des interfaces utilisateurs, le débogage intégré, l'auto-complétion et le support de CVS et subversion.

Il prend en charge plusieurs langages tels que C/C++,Java,Python,Ruby,Perl,Fortran,ADA,PHP.

Installation

Installation automatique Installez le paquet kdevelop

A partir de kubuntu 10.04, il faut activer les mises à jour non prises en charge.

Après l'installation, vous pouvez créer un nouveau projet avec : Menu Project→New project.

Il est préférable d'installer aussi konsole pour ceux qui travaillent avec Gnome

Il n'est pas indispensable d'installer konsole, cela ne sert qu'aux tests

KDevelop en français

Pour activer KDevelop en français il faut installer les fichiers de langue de base pour l'environnement KDE : kde-i18n-fr

sudo apt-get install kde-i18n-fr

Dans la version 10.04, ce paquet n'existe plus.

Librairies

Le linker est dans "Project" → "Project options"→ "Configure options" puis dans la zone de texte "linker flags".
Par exemple pour opengl, il faut mettre -lGLU ou pour la sdl mettre -lSDL.

Configuration

Kdevelop peut demander à un moment le chemin relatif de qmake et de QtDesigner, il y a de grandes chances que ce dernier soit /usr/bin et pour ceux qui programment avec qt4 c'est /usr/share/qt4/bin/

Problèmes de compilation

Erreur 127 / Aclocal

Si, à la compilation, apparaît un message d'erreur de type 127, avec aclocal par exemple, vérifiez que vous avez installé les paquets automake autoconf build-essential libtool

Erreur libtool

Si vous avez une erreur avec au début de la ligne ./libtool: line *** Il suffit de downgrader votre version de libtool, pour cela désinstallez tout d'abord la version actuelle (2.2.6a à la date du 24/05/2009)

sudo apt-get remove libtool

Puis installer l'ancienne ;

http://packages.ubuntu.com/fr/hardy/libtool



Le contenu de ce wiki est sous licence : CC BY-SA v3.0